#!/bin/bash
# If this is a Statamic site, offer to set up the style guide.
# -------------------------------------------------------------------------------------------------
# Exit script if already set up.
HLT="$(find ../.. -maxdepth 2 -type d -name .happy-little-trees)";
if [[ $HLT =~ '.happy-little-trees' ]];
then
  exit;
fi

# Look no more than 2 levels deep for a directory named `statamic` to see if this is a
# Statamic site.
STATAMIC_DIR="$(find ../.. -maxdepth 2 -type d -name statamic)";

if [[ $STATAMIC_DIR =~ 'statamic' ]];
then
  # Figure out the root directory.
  REMOVE='/statamic';
  STRLENGTH=`expr ${#STATAMIC_DIR} - ${#REMOVE}`;
  SITE_ROOT=${STATAMIC_DIR:0:${STRLENGTH}};

  read -p 'Should 🌲 😀 🌲 😀 🌲 Happy Little Trees configure Statamic to display a style guide at /style-guide? (Y/n)?' ANSWER;
  echo '';

  if [[ $ANSWER =~ '(^$|[^nN])' ]];
  then
    # Create route.
    node mgmt/statamic/createRoute $SITE_ROOT
    echo 'Route added.';
    echo '';

    # Create JS file.
    node mgmt/statamic/createJS $SITE_ROOT
    echo 'JS file created.';
    echo '';

    # Create layout.
    node mgmt/statamic/createLayout $SITE_ROOT
    echo 'Layout created.';
    echo '';

    cat ./example/.happy-little-trees >> ../../.happy-little-trees

  else
    echo "Okay, you're all set then.";
    echo '';
    exit 0;
  fi
fi
